Sunday, November 30, 2014

Aquarian Bath: Online Security Update

To ensure your online safety and ours, AquarianBath.com only uses the latest methods to secure your online transactions with us. If you are having trouble with our website, it may be because your browser does not support TLS1.2 encryption standards for HTTPS traffic. To ensure a smooth and satisfying shopping experience with us, we recommend that you use only the latest available version of Firefox or Chrome, to ensure support for this critical security feature. Yes, other websites may fall back on less secure standards sometimes. This opens them up to all manner of problems. Vendors not supporting these newer security measures leave their customers open to the possibility of having their traffic intercepted by malicious parties. The intercepted data could then be used to access online financial data, or in identity theft. 

The following browsers are not up to date with TLS security 
Android 2.3.7
BingBot Dec 2013
IE6 / XP
IE7/ Vista
Java 6u45
Yahoo Slurp Jun 2014
BingBot Dec 2013

The following browsers do not support TLS-1.2, however I have made modification to our server to overcome that handicap:
IE 8-10 / Win 7
IE 11 / Win 7
IE 11 / Win 8.1
IE Mobile 10 / Win Phone 8.0
IE Mobile 11 / Win Phone 8.1

If you have been trying to shop with these browsers, you should be able to do so successfully now, however we recommend that you use a more modern secure browser to ensure your overall safety online.  You can download Firefox here and Chrome here.

Scott Johnson, VP

Post a Comment